F-Secure incompatible with EMET 5.5

Hello Everyone, 

This thread brough to light that f-secures deepguard feature does not work with EMET 5.5. 

As that thread is a year and a half old now, I'd like to bring up that the exact same issue still remains. EAF does not work in many applications (such as Google Chrome) with F-Secures deepguard feature turned on.

Can someone shed light on whteher or not F-Secure intends to, or has made any progress on this in the last year and a half , as well as differentiate between the protection provided in deepguard vs all mitigations being turned on in EMET?  

I'm comparing F-Secure to BitDefender, TrendMicro, Vipre, and Kaspersky. So far, F-Secure is the only program that appears to be unable to handle working along side EMET in default configuration. 

Thanks guys!

Comments

  • SimonSimon Posts: 2,661 Superuser

    Not an answer I'm afraid, but just a suggestion - you may wish to consider joining the Beta Testing Community, where you will receive the latest versions of the product(s), and will have an input as to future developments.  You would also be able to file bug reports for issues such as EMET compatability, and you should have some feedback returned from the F-Secure developers.

  • Ted_1Ted_1 Posts: 1

    Same here too. And joying a Beta Testing Community, is not an option, be cause we now 5 months later and this issue is still not solved. So, what is the benefit participate that Beta Testing Community at all?

     

    Regards,

     

    Ted

This discussion has been closed.